//	@import com.hedgehoglab.solomon.model.ActivityModel;
//	@import com.hedgehoglab.solomon.model.UsersModel;
	
//	@import com.hedgehoglab.solomon.view.ActivityView;
//	@import com.hedgehoglab.solomon.service.ActivityService;
//	@import com.hedgehoglab.solomon.service.UsersService;	
//	@import com.hedgehoglab.solomon.service.ContactsService;
//	@import com.hedgehoglab.solomon.controller.ActivityController;

(function(config){
	$(function(e){
		var _activity_model=new ActivityModel({
			max_aggregation:20
		});
		
		var _user_model=new UsersModel();
		
		var _activity_view=new ActivityView({
			element:$(".activity-list")
		});
		
		var _activity_service=new ActivityService();
		var _user_service=new UsersService();
		var _contact_service=new ContactsService();
		
		var _activity_controller=new ActivityController({
			user_model:_user_model,
			activity_model:_activity_model,
			activity_view:_activity_view,

			activity_service:_activity_service,
			user_service:_user_service,
			
			interval:config.interval*1000
		});
	});
})({
	interval:10
});


